- Qt 5.15
- Qt Core
- C++ Classes
- QTemporaryFile
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTemporaryFile

The following members of class QTemporaryFile are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QTemporaryFile * | createLocalFile(QFile &file)
`(obsolete)` QTemporaryFile * | createLocalFile(const QString &fileName)

## Member Function Documentation

### `[static]` QTemporaryFile *QTemporaryFile::createLocalFile(QFile &file)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QTemporaryFile::createNativeFile(QFile &file) instead.

### `[static]` QTemporaryFile *QTemporaryFile::createLocalFile(const QString &fileName)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Use QTemporaryFile::createNativeFile(const QString &fileName) instead.